# Algorithms for computing line estimators

This project was initially the practical part of my master thesis at [WWU Münster](https://www.uni-muenster.de/Informatik/).
The git-Tag 'Release' marks the state of the source code at the deadline of submission.

Since then, I started to improve the code. I switched the source code compatibility to Java 11 and replaced the *Swing* GUI with *JavaFX*.

## How to checkout the Tag Release
First of all, you have to clone the repository.
```git
$ git clone git@bitbucket.org:arminwolf/algorithms-for-computing-line-estimators.git 
```
After you cloned the project, switch to the directory (e.g. algorithms-for-computing-line-estimators) and use the ``git checkout`` command.
```git
$ git checkout tags/Release
```
To get the Application running, on the System needs to be [OpenCV](https://opencv.org/releases/page/3/) installed in the Version 3.2.0. 
Alternatively you could update the version in the ``pom.xml``.

Cheers,
[Armin Wolf](https://www.armin-wolf.de)!
